# Die Festlegung des Arbeitsverzeichnisses

Das FreeBSD Porter-Handbuch
Zurück | Kapitel 5. Die Konfiguration des Makefile | Weiter

# 5.12. Die Festlegung des Arbeitsverzeichnisses

Jeder Port wird extrahiert in ein Arbeitsverzeichnis, welches beschreibbar sein muss. Das Ports-System gibt als Standard vor, dass die `DISTFILES` in einem Verzeichnis namens `${DISTNAME}` entpackt werden. Mit anderen Worten, wenn Sie:

    PORTNAME=      foo
    PORTVERSION=   1.0

festgelegt haben, dann enthalten die Distributions-Dateien des Ports ein Verzeichnis auf oberster Ebene, `foo-1.0`, und der Rest der Dateien befindet sich unter diesem Verzeichnis.

Es gibt eine Reihe von Variablen, die Sie überschreiben können, falls dies nicht der Fall sein sollte.

## 5.12.1. `WRKSRC`

Diese Variable listet den Namen des Verzeichnisses, welches erstellt wird, wenn die Distfiles der Applikation extrahiert werden. Wenn unser vorheriges Beispiel in einem Verzeichnis namens `foo` (und nicht `foo-1.0`) extrahiert wurde, würden Sie schreiben:

    WRKSRC=      ${WRKDIR}/foo

oder möglicherweise

    WRKSRC=      ${WRKDIR}/${PORTNAME}

## 5.12.2. `NO_WRKSUBDIR`

Wenn der Port überhaupt nicht in einem Unterverzeichnis extrahiert wird, sollten Sie dies mit dem Setzen von `NO_WRKSUBDIR` anzeigen.

    NO_WRKSUBDIR= yes

Zurück | Zum Anfang | Weiter
Makefile-Optionen | Nach oben | Konfliktbehandlung

Fragen zum FreeBSD Ports-System richten Sie bitte an <ports@FreeBSD.org>, Fragen zu diesem Dokument hingegen an <de-bsd-translators@de.FreeBSD.org>.